import sys

import config
from context import Context


class Main:
    @staticmethod
    def main(**argv):
        # Platform  Strategy  Env
        platform = argv.get('platform')
        strategy = argv.get('strategy')
        env = argv.get('env')
        print(f"start run crawler...{platform}, {strategy}, {env}")
        # 配置环境
        config_ = config.set_config(env)
        # 根据参数判断 具体的策略
        strategy = config_.STRATEGY[platform][strategy]
        print(strategy)
        context = Context(strategy)
        context.strategy.crawl()


if __name__ == '__main__':
    Main.main(**eval(sys.argv[1]))
